Subject: RE: bug#29321: Isearch hit count

From: Drew Adams <[email-masked]>
Date: Thu, 16 Nov 2017 14:25:29 -0800 (PST)

> Isearch could show in the mode line how many matches follow or precede
> the currently highlighted one (or we could write "3 of 4 matches", as,
> e.g., Firefox does).  For big files, it could be helpful to calculate
> this information either lazily or in another thread.
> 
> If we had this, it would also be convenient to say "go forward n
> matches", so that typing "M-3 C-s" during a search would be the
> equivalent of typing C-s three times.  To do this we could add numeric
> prefix arg handling to C-s/C-r/C-M-s/C-M-r, if that isn't already
> taken for some other behavior.

I don't think Isearch determines all of the hits at once (even
in just the current search direction and starting from point).
Instead, it searches only on demand, *incrementally*, as the
name suggests.

The most it does that is similar to what you request, I think,
is to do some unlazy "lazy" highlighting of hits (before and
after point) that are currently visible (but see option
`lazy-highlight-max-at-a-time').  It's UNlazy because it
eagerly highlights search hits that you may never visit.